Name:           autojump
Version:        15
Release:        %mkrel 1

Summary:        A fast way to navigate your filesystem from the command line

Group:          Shells
License:        GPLv3+
URL:            http://wiki.github.com/joelthelion/autojump
Source:         https://github.com/downloads/joelthelion/%{name}/%{name}_v%{version}.tar.gz
BuildArch:      noarch

%description
autojump provides a fast way to navigate your filesystem, with a "cd command 
that learns".

It works by maintaining a database of the directories you use the most from 
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern. 


%package zsh
Requires:       %{name} = %{version}
Group:          Shells
Summary:        Autojump for zsh

%description zsh
autojump provides a fast way to navigate your filesystem, with a "cd command 
that learns".

It works by maintaining a database of the directories you use the most from 
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern. 


#%package applet 
#Requires:       %{name} = %{version}-%{release}
#Group:          Graphical desktop/Other
#Summary:	autojump notification icon, to jump to frequently used directories
#
#%description jumpapplet
#jumpapplet is an applet that provides a notification icon based on autojump. 
#It allows you to open a shell or a file manager window for frequently used 
#directories. 


%prep
%setup -q -n %{name}_v%{version}


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}

# There must be a more elegant way to do that
install -p icon.png %{buildroot}%{_datadir}/%{name}/icon.png
install -Dp %{name} %{buildroot}%{_bindir}/%{name}
#install -p jumpapplet %{buildroot}%{_bindir}/jumpapplet
install -Dpm 644 _j %{buildroot}%{_datadir}/zsh/site-functions/_j
install -Dpm 644 %{name}.bash %{buildroot}%{_sysconfdir}/profile.d/%{name}.bash
install -Dpm 644 %{name}.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dpm 644 %{name}.zsh %{buildroot}%{_sysconfdir}/profile.d/%{name}.zsh

install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.bash

%files zsh
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.zsh
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_j

#%files applet
#%defattr(-,root,root,-)
#%{_bindir}/jumpapplet



%changelog
* Thu Apr 14 2011 stormi <stormi> 15-1.mga1
+ Revision: 85534
- imported package autojump

